## com.gargoylesoftware.htmlunit
Interface IncorrectnessListener

All Known Implementing Classes:
  IncorrectnessListenerImpl

    public interface IncorrectnessListener

Interface to receive notification of incorrect information in HTML code (but not the parser messages), headers, ... that HtmlUnit can handle but that denote a badly written application.

Version:
  $Revision: 4002 $
Author:
  Marc Guillemot

Method Summary
`void` `notify(java.lang.String message, java.lang.Object origin)` Called to notify an incorrectness.

Method Detail

### notify

    void notify(java.lang.String message,
                java.lang.Object origin)

  Called to notify an incorrectness.

  Parameters:
    `message` - the explanation of the incorrectness
    `origin` - the object that encountered this incorrectness

Copyright © 2002-2011 Gargoyle Software Inc.. All Rights Reserved.